#!ipy

"""
+++++++++++++++
 interfaces.py
+++++++++++++++

 author: Jesse Wiles
 copyright: Quadralay Corporation, 2007.
 
 Interfaces for the resources tool adapter.
"""

class IPyToolAdapter(object):
    def duplicate(self):
        raise NotImplementedError
        
    def pdf(self):
        raise NotImplementedError
        
    def ps_images(self):
        raise NotImplementedError
        
    def ps_pdf(self):
        raise NotImplementedError
        
    def xml(self):
        raise NotImplementedError
        
    def scan_book(self):
        raise NotImplementedError
    
    def scan_doc(self):
        raise NotImplementedError
